Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMessageBox.StandardButton

    java.lang.Object
      java.lang.Enum<QMessageBox.StandardButton>
          com.trolltech.qt.gui.QMessageBox.StandardButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMessageBox.StandardButton>

Enclosing class:
  QMessageBox

    public static enum QMessageBox.StandardButton

extends java.lang.Enum<QMessageBox.StandardButton>
implements QtEnumerator

These enums describe flags for standard buttons. Each button has a defined `ButtonRole`.

Constant | Value | Description
--- | --- | ---
`Ok` | `1024` | An "OK" button defined with the `AcceptRole`.
`Open` | `8192` | A "Open" button defined with the `AcceptRole`.
`Save` | `2048` | A "Save" button defined with the `AcceptRole`.
`Cancel` | `4194304` | A "Cancel" button defined with the `RejectRole`.
`Close` | `2097152` | A "Close" button defined with the `RejectRole`.
`Discard` | `8388608` | A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole`.
`Apply` | `33554432` | An "Apply" button defined with the `ApplyRole`.
`Reset` | `67108864` | A "Reset" button defined with the `ResetRole`.
`RestoreDefaults` | `134217728` | A "Restore Defaults" button defined with the `ResetRole`.
`Help` | `16777216` | A "Help" button defined with the `HelpRole`.
`SaveAll` | `4096` | A "Save All" button defined with the `AcceptRole`.
`Yes` | `16384` | A "Yes" button defined with the `YesRole`.
`YesToAll` | `32768` | A "Yes to All" button defined with the `YesRole`.
`No` | `65536` | A "No" button defined with the `NoRole`.
`NoToAll` | `131072` | A "No to All" button defined with the `NoRole`.
`Abort` | `262144` | An "Abort" button defined with the `RejectRole`.
`Retry` | `524288` | A "Retry" button defined with the `AcceptRole`.
`Ignore` | `1048576` | An "Ignore" button defined with the `AcceptRole`.
`NoButton` | `0` | An invalid button.

The following values are obsolete:

Constant | Value | Description
--- | --- | ---
`YesAll` | `32768` | Use `YesToAll` instead.
`NoAll` | `131072` | Use `NoToAll` instead.
`Default` | `256` | Use the `defaultButton` argument of `information`, `warning`, etc. instead, or call `setDefaultButton`.
`Escape` | `512` | Call `setEscapeButton` instead.
`FlagMask` | `768` |
`ButtonMask` | `769` |

See Also:
  `ButtonRole`, `standardButtons`

Enum Constant Summary
`Abort` An "Abort" button defined with the `RejectRole`.
`Apply` An "Apply" button defined with the `ApplyRole`.
`ButtonMask` Internal.
`Cancel` A "Cancel" button defined with the `RejectRole`.
`Close` A "Close" button defined with the `RejectRole`.
`Default` Use the `defaultButton` argument of `information`, `warning`, etc.
`Discard` A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole`.
`Escape` Call `setEscapeButton` instead.
`FlagMask` Internal.
`Help` A "Help" button defined with the `HelpRole`.
`Ignore` An "Ignore" button defined with the `AcceptRole`.
`No` A "No" button defined with the `NoRole`.
`NoButton` An invalid button.
`NoToAll` A "No to All" button defined with the `NoRole`.
`Ok` An "OK" button defined with the `AcceptRole`.
`Open` A "Open" button defined with the `AcceptRole`.
`Reset` A "Reset" button defined with the `ResetRole`.
`RestoreDefaults` A "Restore Defaults" button defined with the `ResetRole`.
`Retry` A "Retry" button defined with the `AcceptRole`.
`Save` A "Save" button defined with the `AcceptRole`.
`SaveAll` A "Save All" button defined with the `AcceptRole`.
`Yes` A "Yes" button defined with the `YesRole`.
`YesToAll` A "Yes to All" button defined with the `YesRole`.

Method Summary
`static QMessageBox.StandardButtons` | `createQFlags(QMessageBox.StandardButton... values)`
`static QMessageBox.StandardButton` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMessageBox.StandardButton` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMessageBox.StandardButton[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoButton

    public static final QMessageBox.StandardButton NoButton

  An invalid button.

### Ok

    public static final QMessageBox.StandardButton Ok

  An "OK" button defined with the `AcceptRole`.

### Save

    public static final QMessageBox.StandardButton Save

  A "Save" button defined with the `AcceptRole`.

### SaveAll

    public static final QMessageBox.StandardButton SaveAll

  A "Save All" button defined with the `AcceptRole`.

### Open

    public static final QMessageBox.StandardButton Open

  A "Open" button defined with the `AcceptRole`.

### Yes

    public static final QMessageBox.StandardButton Yes

  A "Yes" button defined with the `YesRole`.

### YesToAll

    public static final QMessageBox.StandardButton YesToAll

  A "Yes to All" button defined with the `YesRole`.

### No

    public static final QMessageBox.StandardButton No

  A "No" button defined with the `NoRole`.

### NoToAll

    public static final QMessageBox.StandardButton NoToAll

  A "No to All" button defined with the `NoRole`.

### Abort

    public static final QMessageBox.StandardButton Abort

  An "Abort" button defined with the `RejectRole`.

### Retry

    public static final QMessageBox.StandardButton Retry

  A "Retry" button defined with the `AcceptRole`.

### Ignore

    public static final QMessageBox.StandardButton Ignore

  An "Ignore" button defined with the `AcceptRole`.

### Close

    public static final QMessageBox.StandardButton Close

  A "Close" button defined with the `RejectRole`.

### Cancel

    public static final QMessageBox.StandardButton Cancel

  A "Cancel" button defined with the `RejectRole`.

### Discard

    public static final QMessageBox.StandardButton Discard

  A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole`.

### Help

    public static final QMessageBox.StandardButton Help

  A "Help" button defined with the `HelpRole`.

### Apply

    public static final QMessageBox.StandardButton Apply

  An "Apply" button defined with the `ApplyRole`.

### Reset

    public static final QMessageBox.StandardButton Reset

  A "Reset" button defined with the `ResetRole`.

### RestoreDefaults

    public static final QMessageBox.StandardButton RestoreDefaults

  A "Restore Defaults" button defined with the `ResetRole`.

### Default

    public static final QMessageBox.StandardButton Default

  Use the `defaultButton` argument of `information`, `warning`, etc. instead, or call `setDefaultButton`.

### Escape

    public static final QMessageBox.StandardButton Escape

  Call `setEscapeButton` instead.

### FlagMask

    public static final QMessageBox.StandardButton FlagMask

  Internal.

### ButtonMask

    public static final QMessageBox.StandardButton ButtonMask

  Internal.

Method Detail

### values

    public static final QMessageBox.StandardButton[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMessageBox.StandardButton c : QMessageBox.StandardButton.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMessageBox.StandardButton valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMessageBox.StandardButtons createQFlags(QMessageBox.StandardButton... values)

### resolve

    public static QMessageBox.StandardButton resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD